Article ID: 000086289 Content Type: Troubleshooting Last Reviewed: 05/30/2017

Why does Cyclone V SoC CAN data corrupt in Linux?

Environment

  • Intel® Quartus® Prime Pro Edition
  • BUILT IN - ARTICLE INTRO SECOND COMPONENT
    Description

    Due to a problem in Linux-socfpga kernels before to 4.1.33 for Cyclone® V SoC,  CAN data may be currupted.  This is due to a HPS L4 Slave Interface limitation, registers on CAN controller should be accessed with 32-bit width, and are incorrectly accessed as 16-bit.

    Resolution

    socfpga-4.1.33 LTSI or later have fixed in the issue.

    See can: c_can: Update D_CAN TX and RX functions to 32 bit - fix Altera Cyclone access

    Related Products

    This article applies to 3 products

    Cyclone® V SX SoC FPGA
    Cyclone® V ST SoC FPGA
    Cyclone® V SE SoC FPGA

    Disclaimer

    1

    All postings and use of the content on this site are subject to Intel.com Terms of Use.